{% extends 'base.html' %}
{% load static %}

{% block page-title %}{{ announcement.title }}{% endblock %}
{% block heading %}
<!DOCTYPE html>
<html>
<head>
<style>
ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: #333;
}

li {
  float: left;
}

li a {
  display: block;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

li a:hover {
  background-color: #111;
}
</style>
</head>
<body>

<ul>
  <li><a class="active" href="/announcement_board/">Back</a></li>
  <li><a href="/dashboard/">Dashboard</a></li>
  <li><a href="/forum/">Forum</a></li>
</ul>
</body>
</html>
{% endblock %}

{% block content %}
<link href='https://fonts.googleapis.com/css?family=Dancing Script' rel='stylesheet'>
<section>
    <span>{{ announcement.title }}</span>
</section>


<h2>
    {{ announcement.title }}
</h2>

<p>
    by {{ announcement.author.first_name }} {{ announcement.author.last_name }}<br>
    {{ announcement.date_format}}, {{ announcement.time_format }}<br><br>
    {{ announcement.body }}<br>
</p>

<p>
    Like: {{ announcement.getLike }}<br>
    Love: {{ announcement.getLove }}<br>
    Angry: {{ announcement.getAngry}} <br><br>
</p>

<p>
    <a href="{% url 'announcement_board:announcement-edit' announcement.pk %}">
        <button class="btn">Edit Announcement</button>
    </a>
</p>
{% endblock %}